Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.markerimpl
Class ResourceMember

    java.lang.Object
      org.eclipse.contribution.visualiser.interfaces.simpleImpl.SimpleMember
          org.eclipse.contribution.visualiser.markerimpl.ResourceMember

All Implemented Interfaces:
  IMember

public class ResourceMember
extends SimpleMember

Member that has an IResource (normally a file) associated with it

Constructor Summary
`ResourceMember(java.lang.String name, org.eclipse.core.resources.IResource resource)`

Method Summary
`java.lang.String` | `getFullname()` Get the full name for this member
`org.eclipse.core.resources.IResource` | `getResource()`
`void` | `setResource(org.eclipse.core.resources.IResource resource)`

Methods inherited from class org.eclipse.contribution.visualiser.interfaces.simpleImpl.SimpleMember
`getContainingGroup, getName, getSize, getToolTip, setContainingGroup, setFullName, setName, setSize, setTooltip, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceMember

    public ResourceMember(java.lang.String name,
                          org.eclipse.core.resources.IResource resource)

Parameters:
  `name` - - name
  `resource` - - associated IResource

Method Detail

### getResource

    public org.eclipse.core.resources.IResource getResource()

  Returns:
    Returns the resource.

### getFullname

    public java.lang.String getFullname()

  Get the full name for this member

  Specified by:
    `getFullname` in interface `IMember`
  Overrides:
    `getFullname` in class `SimpleMember`

### setResource

    public void setResource(org.eclipse.core.resources.IResource resource)

  Parameters:
    `resource` - The resource to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD